Skip to main content
GET
/
api
/
v1
/
publications
/
{publicationSlug}
Get one publication with recent posts.
curl --request GET \
  --url https://dripstack.xyz/api/v1/publications/{publicationSlug}
{
  "slug": "<string>",
  "title": "<string>",
  "description": "<string>",
  "siteUrl": "<string>",
  "imageUrl": "<string>",
  "language": "<string>",
  "authorName": "<string>",
  "authorEmail": "<string>",
  "copyright": "<string>",
  "lastSyncedAt": "<string>",
  "posts": [
    {
      "slug": "<string>",
      "title": "<string>",
      "subtitle": "<string>",
      "publishedAt": "<string>",
      "priceCents": 123
    }
  ]
}

Path Parameters

publicationSlug
string
required

Publication slug, which is the normalized host.

Query Parameters

limit
integer

Maximum number of posts returned.

Required range: 1 <= x <= 100

Response

Publication details and post titles.

slug
string
required

Normalized publication identifier.

title
string | null
required

Publication display name.

description
string | null
required

Publication description from the feed.

siteUrl
string
required

Canonical publication URL.

imageUrl
string | null
required

Publication avatar or logo URL.

language
string | null
required

BCP 47 language tag (e.g. en, es).

authorName
string | null
required

Primary author display name.

authorEmail
string | null
required

Author contact email from the feed.

Copyright notice from the feed.

lastSyncedAt
string | null
required

ISO timestamp of the last successful feed sync.

posts
object[]
required

Recent posts for this publication.